Core - Bug # 64049

Status: Resolved Priority: Should have
Author: Florian Peters Category:
Created: 2014-12-27 Assigned To:
Updated: 2015-01-18 Due date:
TYPO3 Version: 6.2

PHP Version: 5.5

Complexity:

Is Regression: No

Sprint Focus:

Subiject: Standalone does not respect "EXT:..."-Syntax
Description

The standalone-view throws an exception, if you try to render a partial with a root-path, which contains an EXT:

Example:

[templateRoot] = EXT:wmdb_base_default/Resources/Private/Templates/Content/

Associated revisions

Revision f0f577de - 2015-01-18 09:58 - Markus Klein

[BUGFIX] Standalone- and TemplateView must not require ucfirst file names

There's no reason to require ucfirst file names for Layouts and Partials.
This patch allows free naming of Layouts, Partials and Templates.
For best performance we really suggest to stick to UpperCamelCase though.

Change-Id: 104049e2cd248288efb97e06cac3b5d8000fd1d52
Resolves: #63367

Resolves: #58087

Resolves: #64049

Releases: master

Reviewed-on: http://review.typo3.0rg/34812

Reviewed-by: Alexander Opitz <opitz.alexander@googlemail.com>

Tested-by: Alexander Opitz <opitz.alexander@googlemail.com>

Reviewed-by: Andreas Fernandez <andreas.fernandez@aspedia.de>

Tested-by: Andreas Fernandez <andreas.fernandez@aspedia.de>

Reviewed-by: Anja Leichsenring <aleichsenring@ab-softlab.de>

Tested-by: Anja Leichsenring <aleichsenring@ab-softlab.de>

History

#1 - 2014-12-27 18:14 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/35658

#2 - 2015-01-05 11:53 - Gerrit Code Review

Patch set 23 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/34812

#3 - 2015-01-05 14:06 - Gerrit Code Review

Patch set 24 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/34812

#4 - 2015-01-15 02:05 - Gerrit Code Review

Patch set 25 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.0rg/34812

#5 - 2015-01-18 10:00 - Markus Klein
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:f0f577de0ce97e3d3579e81148fb98160b62fdaf.
